---
# defaults file for mariadb
mariadb_version: "10.6"

mysql_user_name: admin
mysql_user_password: pedro

mysql_root_username: root
mysql_root_password: pedro

# Set this to `true` to forcibly update the root password.
#mysql_root_password_update: false
#mysql_user_password_update: false

# Allow remote root login
disable_remote_root_login: true

# Specify address to listen
mariadb_bind_address: '0.0.0.0'
mariadb_port: 3306

mariadb_datadir: /var/lib/mysql
mariadb_socket: /var/lib/mysql/mysql.sock

# Add mariabd databases
# default create nothing
mariadb_database: 
  - name: nextcloudb
    collation: utf8_general_ci
    encoding: utf8
    state: present
    target: omit
    priv: '*:ALL,GRANT'
    pass: 'secret'
    hosts: "{{ groups['web_servers'] | default(['localhost']) }}"

mariadb_user_encrypted: false

# Specify slow query log
mariadb_slow_query_log_enabled: false
mariadb_slow_query_time: "2"

galera_cluster_name: "gaclunc"
